/*
 * XetPan: a libEtPan! based Mail User Agent
 * Copyright (C) 2002 Melvin Hadasht
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef CONF_H
#define CONF_H

#include "configuration.h"
#include "folder.h"
#include "foldersview.h"
#include "processing.h"
#include "preferences.h" 


#define XETPAN_CONF_DIR ".xetpan"

#define XETPAN_PREFERENCES_RC    "preferences.xml"
#define XETPAN_CONFIGURATION_RC  "configuration.xml"
#define XETPAN_FOLDERSLIST_RC    "folderslist.xml"
#define XETPAN_FOLDERSVIEWS_RC   "foldersviews.xml"
#define XETPAN_PROCESSING_RC     "processing.xml"

#define XETPAN_CONFIGURATION_DTD  "configuration.dtd"

typedef struct XePConf_s XePConf;

struct XePConf_s
{

  XePPreferences      *preferences;
  XePConfiguration    *configuration;
  XePFoldersList      *folderslist;
  char *path;
};

XePConf*
a_Conf_read(const char *path);

int
a_Conf_write(void);

void
a_Conf_free(XePConf *conf);

char *
a_Conf_create_filename(const char *path, const char *file);


#endif
