/*
 * XetPan: a libEtPan! based Mail User Agent
 * Copyright (C) 2002-2003 Melvin Hadasht
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef GTK_SERVER_EDITOR_H
#define GTK_SERVER_EDITOR_H

#include <gtk/gtkwidget.h>
#include <clist.h>
#include "server.h"

typedef enum {
  XEP_SERVEREDITOR_NONE,
  XEP_SERVEREDITOR_IMAP,
  XEP_SERVEREDITOR_POP3,
  XEP_SERVEREDITOR_NNTP,
  XEP_SERVEREDITOR_SMTP
} XePGtkServerType;

typedef struct XePGtkServerEditor_s XePGtkServerEditor;

#define XEP_SEDITOR_WIDGET(s) a_GtkServerEditor_get_widget(s)

XePGtkServerEditor *
a_GtkServerEditor_new(void);

/*! Frees a server editor
 *  Widgets are explicitly destroyed and XePGtkServerEditor
 *  memory allocation is freeed.
 */
void 
a_GtkServerEditor_free(XePGtkServerEditor *seditor);

GtkWidget *
a_GtkServerEditor_get_widget(XePGtkServerEditor *seditor);

void
a_GtkServerEditor_set_server(XePGtkServerEditor *seditor, 
			     XePServer *server);

void
a_GtkServerEditor_set_type(XePGtkServerEditor *seditor,
			   XePGtkServerType type);

void
a_GtkServerEditor_set_mailboxes(XePGtkServerEditor *seditor,
				clist *mailboxes);


void
a_GtkServerEditor_apply_changes(XePGtkServerEditor *seditor);

#endif
