/*
 * XetPan: a libEtPan! based Mail User Agent
 * Copyright (C) 2002-2003 Melvin Hadasht
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef SERVER_H
#define SERVER_H

typedef struct XePServer_s XePServer;

struct XePServer_s
{
  char *host;
  int port;
  char *login;
  char *password;
  int auth_flags;
};

XePServer *
a_Server_new(void);

XePServer *
a_Server_new_copy(XePServer *server);

void
a_Server_copy(XePServer *source, XePServer *target);

void
a_Server_free(XePServer *server);

void
a_Server_set_host(XePServer *server, const char *host);

const char *
a_Server_get_host(XePServer *server);

void
a_Server_set_port(XePServer *server, int port);

int
a_Server_get_port(XePServer *server);

void
a_Server_set_login(XePServer *server, const char *login);

const char *
a_Server_get_login(XePServer *server);

void
a_Server_set_password(XePServer *server, const char *password);

const char *
a_Server_get_password(XePServer *server);

void
a_Server_set_starttls(XePServer *server, int use_starttls);

int
a_Server_get_starttls(XePServer *server);

void
a_Server_set_ssl(XePServer *server, int use_ssl);

int
a_Server_get_ssl(XePServer *server);

void
a_Server_set_apop(XePServer *server, int use_apop);

int
a_Server_get_apop(XePServer *server);

#endif
